/********************************************************************************
 *
 *  fl_17703def.c
 *
 * 	This is 16 bit device flash memory information for S1C17703
 *
 *	history : 2010/04/13    start
 *
 *  Copyright (C) SEIKO EPSON CORPORATION 2010-2014. All rights reserved.
********************************************************************************/

/* include */
#include	"fl_17703.h"

/* flash memory sector top address information */
unsigned long sSector[FLS_SCTMAX] =
{
	/* sector information table size = ucSect + 1 */
	              0x0,				//0
	              0x1000,			//1
	              0x2000,			//2
	              0x3000,			//3
	              0x4000,			//4
	              0x5000,			//5
	              0x6000,			//6
	              0x7000,			//7
	              0x8000,			//8
	              0x9000,			//9
	              0xa000,			//10
	              0xb000,			//11
	              0xc000,			//12
	              0xd000,			//13
	              0xe000,			//14
	              0xf000,			//15
	              0x10000,			//16
	              0x11000,			//17
	              0x12000,			//18
	              0x13000,			//19
	              0x14000,			//20
	              0x15000,			//21
	              0x16000,			//22
	              0x17000,			//23
	              0x18000,			//24
	              0x19000,			//25
	              0x1a000,			//26
	              0x1b000,			//27
	              0x1c000,			//28
	              0x1d000,			//29
	              0x1e000,			//30
	              0x1f000,			//31
	              0x20000,			//32
	              0x21000,			//33
	              0x22000,			//34
	              0x23000,			//35
	              0x24000,			//36
	              0x25000,			//37
	              0x26000,			//38
	              0x27000,			//39
	              0x28000,			//40
	              0x29000,			//41
	              0x2a000,			//42
	              0x2b000,			//43
	              0x2c000,			//44
	              0x2d000,			//45
	              0x2e000,			//46
	              0x2f000,			//47
	              0x30000,			//48
	              0x31000,			//49
	              0x32000,			//50
	              0x33000,			//51
	              0x34000,			//52
	              0x35000,			//53
	              0x36000,			//54
	              0x37000,			//55
	              0x38000,			//56
	              0x39000,			//57
	              0x3a000,			//58
	              0x3b000,			//59
	              0x3c000,			//60
	              0x3d000,			//61
	              0x3e000,			//62
	              0x3f000,			//63
	              0x40000,			//64

};		/* attention add end address of the flash memory ! */

