/********************************************************************
 *  fl_self.h
 *  This is definition file of FLS function *
 ********************************************************************/
#ifndef FL_SELF_H_
#define FL_SELF_H_

extern int	flash_erase(unsigned long, unsigned char, unsigned char);
extern int	flash_load(unsigned long, unsigned long, unsigned char*);

// Error code define
#define		FLS_E_SUCCESS		0				// Successful
#define		FLS_E_VERIFY		1				// Verify Error
#define		FLS_E_PARAM1		3				// Start Block Error
#define		FLS_E_PARAM2		4				// End Block Error
#define		FLS_E_REGERR		6				// Control Register Error

#endif /*FL_SELF_H_*/
